Apple tweaks App Store so dated iOS devices can download old versions of new apps

September 17, 2013

The change, first discovered by a Reddit user on Monday, now prompts owners to download the “latest compatible version” of an app, even if that app is not supported by their device’s firmware.

For example, a user running iOS 5 will be able to – for the first time – download an application that supports that version of the mobile operating system, even if the app's latest update is geared up for iOS 7. In the past, older iOS devices have been incompatible with apps that require a newer version of iOS.

This is good news for those stuck with the iPhone 3G, which only supports iOS 4.2.1, or the original iPhone, which has previously not supported apps running anything beyond iOS 3.1.3. iPhone 3GS and original iPad owners will also benefit in future, with both omitted from iOS 7, which goes live tomorrow.

Comments

Load More